Page MenuHomePhabricator

1.35.0-wmf.20 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.35.0-wmf.20
Release Date
1581897600
Backup Conductor
jeena
Related Gerrit Patches:
operations/mediawiki-config : masterGroup0 to 1.35.0-wmf.20

2020 week 08 1.35-wmf.20 Changes wmf/1.35.0-wmf.20

This MediaWiki Train Deployment is scheduled for the week of Monday, February 17th:

Monday February 17thTuesday, February 18thWednesday, February 19thThursday, February 20thFriday
SWAT deployments only.Branch wmf.20 and deploy to Group 0 Wikis.Deploy wmf.20 to Group 1 Wikis.Deploy wmf.20 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.20 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.19
Next: 1.35.0-wmf.21

Event Timeline

mmodell created this task.Sep 25 2019, 10:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2019, 10:14 PM
thcipriani triaged this task as Medium priority.
thcipriani updated Backup Conductor, added: jeena.

Mentioned in SAL (#wikimedia-operations) [2020-02-18T18:25:09Z] <James_F> Running scap prep for 1.35.0-wmf.20 ref. T233868

Mentioned in SAL (#wikimedia-operations) [2020-02-18T18:51:36Z] <jforrester@deploy1001> Started scap: testwiki to 1.35.0-wmf.20 and re-build l10n cache T233868

Mentioned in SAL (#wikimedia-operations) [2020-02-18T19:52:37Z] <jforrester@deploy1001> Finished scap: testwiki to 1.35.0-wmf.20 and re-build l10n cache T233868 (duration: 61m 01s)

Change 572956 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Group0 to 1.35.0-wmf.20

https://gerrit.wikimedia.org/r/572956

Change 572956 merged by jenkins-bot:
[operations/mediawiki-config@master] Group0 to 1.35.0-wmf.20

https://gerrit.wikimedia.org/r/572956

Mentioned in SAL (#wikimedia-operations) [2020-02-18T20:03:19Z] <jforrester@deploy1001> rebuilt and synchronized wikiversions files: group0 to 1.35.0-wmf.20 T233868

Mentioned in SAL (#wikimedia-operations) [2020-02-20T20:07:23Z] <James_F> Train 1.35.0-wmf.20 provisionally looks OK on all wikis. Closing T233868.

Jdforrester-WMF closed this task as Resolved.Feb 20 2020, 8:07 PM
elukey added a subscriber: elukey.EditedFeb 21 2020, 8:03 AM

After the deployment we observed some Kafka consumer lag for the udp-logging_info topic:

https://grafana.wikimedia.org/d/000000484/kafka-consumer-lag?from=now-24h&to=now&orgId=1&v&var-datasource=eqiad%20prometheus%2Fops&var-cluster=logging-eqiad&var-topic=All&var-consumer_group=All

It recovered and then started alarming again. From what I can see there are a lot of messages like:

Use of ResourceLoaderSkinModule::getAvailableLogos with $wgLogoHD set instead of $wgLogos was deprecated in MediaWiki 1.35. [Called from ResourceLoaderSkinModule::getAvailableLogos in \/srv\/mediawiki\/php-1.35.0-wmf.20\/includes\/resourceloader\/ResourceLoaderSkinModule.php at line 339]

Edit: https://phabricator.wikimedia.org/T245778